Rapid7 Vulnerability & Exploit Database

Amazon Linux AMI: Security patch for openssh (ALAS-2015-592) (multiple CVEs)

Back to Search

Amazon Linux AMI: Security patch for openssh (ALAS-2015-592) (multiple CVEs)

Severity
7
CVSS
(AV:L/AC:M/Au:N/C:C/I:C/A:C)
Published
08/23/2015
Created
07/25/2018
Added
09/03/2015
Modified
07/04/2017

Description

Use-after-free vulnerability in the mm_answer_pam_free_ctx function in monitor.c in sshd in OpenSSH before 7.0 on non-OpenBSD platforms might allow local users to gain privileges by leveraging control of the sshd uid to send an unexpectedly early MONITOR_REQ_PAM_FREE_CTX request.

Solution(s)

  • amazon-linux-upgrade-openssh
  • amazon-linux-upgrade-openssh-clients
  • amazon-linux-upgrade-openssh-debuginfo
  • amazon-linux-upgrade-openssh-keycat
  • amazon-linux-upgrade-openssh-ldap
  • amazon-linux-upgrade-openssh-server
  • amazon-linux-upgrade-pam_ssh_agent_auth

References

  • amazon-linux-upgrade-openssh
  • amazon-linux-upgrade-openssh-clients
  • amazon-linux-upgrade-openssh-debuginfo
  • amazon-linux-upgrade-openssh-keycat
  • amazon-linux-upgrade-openssh-ldap
  • amazon-linux-upgrade-openssh-server
  • amazon-linux-upgrade-pam_ssh_agent_auth

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;